﻿/* Ajax-запрос */

function SendPost() // Наша функция, которая будет осуществлять ajax-отправку
{
	jQuery.ajax({	// Начала конструкции для работы с Ajax через jQuery
			type: "GET", // Метод, которым получаем данные из формы
			url: "send.php", // Обработчик формы. 
			data: jQuery("#form").serialize(), // Этот метод, берет форму с id=form и достает оттуда данные
			success: function(html) {	// функция выполняемая при успешном отправлении данных
				jQuery("body").empty();	// очищаем тело документа
				jQuery("body").append("<h2><center>Ваше сообщение успешно отправлено.</center></h2>"); // вставляем сообщение об успехе
			}
	});
}

function CheckForm() {
	var requiredField = $("#form").children("[required=required]"); // Получаем все элементы, которые указаны как обязательные к заполнению
	for (var i = 0; i < requiredField.length; i++) { // Обходим все полученные элементы
		if ($(requiredField[i]).val() == '') { // Если хотя бы одно из обязательных полей не заполнено
			alert("Заполните все обязательные поля"); // Выводим сообщение об ошибке
			return false; // Возвращаем false
		}
	}
	return true; // Если все обязательные поля заполнены - возвращаем true
}